image: kmindi/android-ci:platforms-28

variables:
  GRADLE_OPTS: "-Dorg.gradle.daemon=false"

before_script:
  # Define cache-folders withing the build-folder to make it available for GitLab CI caching
  # http://stackoverflow.com/a/36050711/2170109
  # https://developer.android.com/studio/build/build-cache.html
  - export ANDROID_SDK_HOME=$CI_PROJECT_DIR
  - export GRADLE_USER_HOME=$(pwd)/.gradle
  - chmod +x ./gradlew

stages:
  - build
  - test

cache:
  key: ${CI_PROJECT_ID}
  paths:
  - .gradle/
  - .android/build-cache/

build:tagged:
  stage: build
  tags:
    - docker
  script:
    - ./gradlew assembleDebug
  artifacts:
    name: "AppName_{$CI_BUILD_TAG}"
    paths:
    - app/build/outputs/apk/
  only:
    - tags

build:
  stage: build
  tags:
    - docker
  script:
    - ./gradlew assembleDebug
  artifacts:
    name: "AppName_{$CI_BUILD_ID}"
    expire_in: 1 week
    paths:
    - app/build/outputs/apk/
  except:
    - tags
